## EEmoticonToolButton

EEmoticonToolButton

## Functions

GtkToolItem * | e_emoticon_tool_button_new ()
void | e_emoticon_tool_button_popup ()
void | e_emoticon_tool_button_popdown ()

## Properties

gboolean | popup-shown | Read / Write

## Signals

void | popdown | Action
void | popup | Action

## Types and Values

struct | EEmoticonToolButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkToolItem
                            ╰── GtkToolButton
                                ╰── GtkToggleToolButton
                                    ╰── EEmoticonToolButton

## Implemented Interfaces

EEmoticonToolButton implements AtkImplementorIface, GtkBuildable, GtkActivatable, GtkActionable and EEmoticonChooser.

## Description

## Functions

### e_emoticon_tool_button_new ()

    GtkToolItem *
    e_emoticon_tool_button_new (void);

### e_emoticon_tool_button_popup ()

    void
    e_emoticon_tool_button_popup (EEmoticonToolButton *button);

### e_emoticon_tool_button_popdown ()

    void
    e_emoticon_tool_button_popdown (EEmoticonToolButton *button);

## Types and Values

### struct EEmoticonToolButton

    struct EEmoticonToolButton;

## Property Details

### The `“popup-shown”` property

      “popup-shown”              gboolean

Whether the button's dropdown is shown.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“popdown”` signal

    void
    user_function (EEmoticonToolButton *eemoticontoolbutton,
                   gpointer             user_data)

Flags: Action

### The `“popup”` signal

    void
    user_function (EEmoticonToolButton *eemoticontoolbutton,
                   gpointer             user_data)

Flags: Action